Create representatives
curl --request POST \
--url https://api.rrc.dev.finventi.com/reports/sask/v1/accounts/{accountRefId}/representatives \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"dateFrom": "2024-12-18",
"dateTo": "2025-12-31",
"representative": {
"type": "F",
"name": "Jonas",
"surname": "Jonaitis",
"birthDate": "1990-05-15",
"addressCountry": "LV",
"address": "Riga, Alberta st. 1",
"codeCountry": "LV",
"codeInForeignCountry": "39001011234",
"documentType": "NON_LT_PASSPORT",
"documentNumber": "AB123456",
"nationalities": [
"LV"
]
}
}
]
'import requests
url = "https://api.rrc.dev.finventi.com/reports/sask/v1/accounts/{accountRefId}/representatives"
payload = [
{
"dateFrom": "2024-12-18",
"dateTo": "2025-12-31",
"representative": {
"type": "F",
"name": "Jonas",
"surname": "Jonaitis",
"birthDate": "1990-05-15",
"addressCountry": "LV",
"address": "Riga, Alberta st. 1",
"codeCountry": "LV",
"codeInForeignCountry": "39001011234",
"documentType": "NON_LT_PASSPORT",
"documentNumber": "AB123456",
"nationalities": ["LV"]
}
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
dateFrom: '2024-12-18',
dateTo: '2025-12-31',
representative: {
type: 'F',
name: 'Jonas',
surname: 'Jonaitis',
birthDate: '1990-05-15',
addressCountry: 'LV',
address: 'Riga, Alberta st. 1',
codeCountry: 'LV',
codeInForeignCountry: '39001011234',
documentType: 'NON_LT_PASSPORT',
documentNumber: 'AB123456',
nationalities: ['LV']
}
}
])
};
fetch('https://api.rrc.dev.finventi.com/reports/sask/v1/accounts/{accountRefId}/representatives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"status": "SUCCESS",
"data": {
"dateFrom": "2024-12-18",
"dateTo": "2025-12-31",
"representative": {
"type": "F",
"name": "Jonas",
"surname": "Jonaitis",
"birthDate": "1990-05-15",
"addressCountry": "LV",
"address": "Riga, Alberta st. 1",
"codeCountry": "LV",
"codeInForeignCountry": "39001011234",
"documentType": "NON_LT_PASSPORT",
"documentNumber": "AB123456",
"nationalities": [
"LV"
]
},
"refId": "a8306155-8731-4aea-9b36-d30e958fbe33"
}
}
][
{
"status": "SUCCESS",
"data": {
"dateFrom": "2024-12-18",
"dateTo": "2025-12-31",
"representative": {
"type": "F",
"name": "Jonas",
"surname": "Jonaitis",
"birthDate": "1990-05-15",
"addressCountry": "LV",
"address": "Riga, Alberta st. 1",
"codeCountry": "LV",
"codeInForeignCountry": "39001011234",
"documentType": "NON_LT_PASSPORT",
"documentNumber": "AB123456",
"nationalities": [
"LV"
]
},
"refId": "a8306155-8731-4aea-9b36-d30e958fbe33"
}
},
{
"status": "FAILED",
"data": {
"dateTo": "2025-12-31",
"representative": {
"type": "F",
"name": "Jonas",
"surname": "Jonaitis",
"birthDate": "1990-05-15",
"addressCountry": "LV",
"address": "Riga, Alberta st. 1",
"codeCountry": "LV",
"codeInForeignCountry": "39001011234",
"documentType": "NON_LT_PASSPORT",
"documentNumber": "AB123456",
"nationalities": [
"LV"
]
}
},
"errors": [
{
"fields": [
"dateFrom"
],
"message": "must not be null"
}
]
}
][
{
"status": "FAILED",
"data": {
"dateTo": "2025-12-31",
"representative": {
"type": "F",
"name": "Jonas",
"surname": "Jonaitis",
"birthDate": "1990-05-15",
"addressCountry": "LV",
"address": "Riga, Alberta st. 1",
"codeCountry": "LV",
"codeInForeignCountry": "39001011234",
"documentType": "NON_LT_PASSPORT",
"documentNumber": "AB123456",
"nationalities": [
"LV"
]
}
},
"errors": [
{
"fields": [
"dateFrom"
],
"message": "must not be null"
}
]
}
]Representatives
Create representatives
Add representatives to an existing account.
POST
/
reports
/
sask
/
v1
/
accounts
/
{accountRefId}
/
representatives
Create representatives
- The representative
typemust beF(natural person) orK(other, such as an investment or pension fund). - For type
K, provide the fund code assigned by the Bank of Lithuania inpersonCode, or the foreign fund code incodeInForeignCountry.
Authorizations
Obtain JWT via client_credentials grant. Required role: MMR_SASK_REPORT
Headers
Client-provided idempotency key. UUID v4 suggested, max 255 characters. If provided, duplicate requests with the same key will return the cached response.
Maximum string length:
255Pattern:
\SPath Parameters
Body
application/json
Last modified on August 5, 2026
⌘I